﻿/* Program na odzkoseni ovladani vice serv 
ze serioveho terminalu na PC nebo tabletem
rizeni serv s Arduino Nano
maximalni pocet serv 10 
dle proudove moznosti servo driveru
mojeelektronika.mzf.cz
vagnervlastimil@seznam.cz
*/
#include <SoftwareSerial.h>               // prihrani knihovny pro seriovou komunikaci 
#include <Servo.h>                        // prihrani knihovny pro ovladani serv
SoftwareSerial BT=SoftwareSerial(10,11);  // nastaveni komunikacnich pinu 10=RXD, 11=TXD
Servo Servo1,Servo2;                      // nadefinovani jmen a poctu serv 
int pozice1;                              // promenna pro hodnotu pozice serva1
int pozice2;                              // promenna pro hodnotu pozice serva2

void setup() {                            // Setup
Servo1.attach(2);                         // Servo1 pripojeno na datovy pin D2
Servo2.attach(3);                         // Servo2 pripojeno na datovy pin D3
BT.begin(9600);                           // nastaveni komunikacni rychlosti
pozice1 = 20;                             // do promenne pozice1 ulozena hodnota 10 
pozice2 = 20;                             // do promenne pozice2 ulozena hodnota 10 
Servo1.write(pozice1);                    // odeslani hodnoty pozice1 do serva1
delay(50);                                // casova prodleva
Servo2.write(pozice2);                    // odeslani hodnoty pozice2 do serva2
delay(50);                                // casova prodleva
}

void loop(){                              // zacatek hlavni smycky programu
if (BT.available()>0){                    // testuje se vstup zda prisli data
pozice1 = BT.parseInt();                  // prvni nactena hodnota se ulozi do pozice1
pozice2 = BT.parseInt();                  // druha nactena hodnota se ulozi do pozice2
delay(20);                                // casova prodleva
Servo1.write(pozice1);                    // odeslani nactene hodnoty do serva1
delay(50);                                // casova prodleva
Servo2.write(pozice2);                    // odeslani nactene hodnoty do serva2  
delay(50);                                // casova prodleva
BT.print("Pozice serva_1 = ");            // zobrazeni popisu pozice serva_1 na PC
BT.println(pozice1);                      // zobrazeni nactene hodnoty pozice1 na PC
BT.print("Pozice serva_2 = ");            // zobrazeni popisu pozice serva_2 na PC
BT.println(pozice2);                      // zobrazeni nactene hodnoty pozice2 na PC           
}                                         // konec smycky IF
delay(3000);                              // casova prodleva pred dalsim nacitanim a pohybem serv
}                                         // konec hlavni smycky
